LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
ENTITY or3 IS
  PORT( a, b, c : IN std_logic;
        d       : OUT std_logic);
END or3;

ARCHITECTURE synth OF or3 IS
BEGIN

  d <= a OR b OR c;
  
END synth;
